Downgrade php 5.4 to 5.3

Понадобилось мне понизить версию пхп в Linux, и вот как я это сделал.

1. Открыл Synaptic, в меню выбрал Settings - Repositories

2. В появившемся окне перешал на вкладку Other Software

3. Убрал галочки со всех репозиториев и добавил новый 

http://ftp.us.debian.org/debian/ main squeeze

в общем так, чтобы получилось вот так:

Downgrade php 5.4 to 5.3

4. Теперь кликайте по кнопке Reload (подчеркнул красным) и ищите php (выделил зеленым):

Downgrade php 5.4 to 5.3

5. Ставьте галочку возле php (как выше на скриншоте) и нажимайте на кнопк Apply (рядом с Reload), происходит установка

6. Ищите php5-common и ставите галочку рядом с ним, и снова нажимайте на кнопк Apply

Downgrade php 5.4 to 5.3

Вас предупредят, что произойдет удаление кучи всего, не бойтесь, соглашайтесь.

7. Ищите libapache и ставьте рядом с ним галочку:

Downgrade php 5.4 to 5.3

Синаптик скажет, что установить его возможно только в том случае, если удалить libapache2-mod-php5filter

Downgrade php 5.4 to 5.3

8. не бойтесь, соглашайтесь и чтобы увидеть результат своей работы - ребутните апач:

# service apache2 restart

9. все, даунгрейд удался, смотрите версию PHP вызывав в PHP например функцию phpinfo()

всем удачки! :)

p.s. кстати, чтобы другие программы снова могли обновляться, не забудьте убрать галочку с 

http://ftp.us.debian.org/debian/ main squeeze

и снова поставьте галочки возле остальных репозиториев и нажмите на Reload.

Оцени публикацию:
  • 0,0
Оценили человек: 0
Теги : Downgrade, php

Похожие статьи:


Предложения и пожелания:
Ваше имя:
Ваш E-mail:
Сколько будет Οдин + Τри
Главная
X

youtube.com/watch?v=7hFivbgIEqk

При полном или частичном использовании материалов данного сайта, ссылка на сайт "yapro.ru" обязательна как на источник информации.
Автоматический импорт материалов и информации с сайта запрещен.
Copyrights © 2007 - 2017 YaPro.Ru

Главная » Веб-мастеру » Unix »